define(['zepto', 'medtap', 'mui', 'mui.picker'], function($, medtap, mui) {　
  var otherTreatment = {
     // 获取问卷id
    followUpId: medtap.getRequest('followUpId')||'',
    // 获取本题序号
		questionNo: medtap.getRequest('questionNo')||'',
		//  获取本题id
    questionId: medtap.getRequest('questionId')||'',	
    //  获取parentId
    parentId: medtap.getRequest('parentId')||'',
    // 修改人员id
    adminId: medtap.getRequest('adminId')||'', 
    // 停药的数据
    preStr:medtap.getRequest('preStr')||'',
    // 
    treatmentTypePicker: '',
    // 选择有或者无
    flag: '',
    // 停药时间
    stopTimeVal: '',
    // 停药原因
    stopCauseVal: '',
    // 治疗类型
    treatmentTypeVal: '',
    // 具体疗法和药物
    specificTherapy: '',
    // 药物数据
    medicineShowObj:{},
    pdOneShowObj:{},
    targetedShowObj:{},
    stopMedecineData:{},
    stopMedecineDataAnswer:{},
    // 更新病历的数据数组
    stopRecordList:[],
    init:function(){
     
       // 解决键盘收起页面不恢复问题
			 $('textarea').on('blur',function(){
        window.scroll(0,0);
        });
      var text = otherTreatment.questionNo + '、请填写以下治疗的停药时间、原因？'
      $('.content_body_title').text(text)
      	// 用户点击了无
			$('.noHas').click(function(){
				otherTreatment.flag=false
				// console.log(otherTreatment.flag)
			})
			// 用户点击了有
			$('.has').click(function(){
				otherTreatment.flag=true
				// console.log(otherTreatment.flag)
			})
       // 点击下一题
       $('.next').on('click',function(){
        var inputList = document.querySelectorAll('.stopDrug_box input')
    
        for(var i=0;i<inputList.length;i++){
           
          if(inputList[i].value==''){
            if(inputList[i].dataset.item=='stopTime'){
             return medtap.winPop('请填写'+inputList[i].name+'的停药时间')
            }else if(inputList[i].dataset.item=='stopCause'){
             
              return medtap.winPop('请填写'+inputList[i].name+'的停药原因')
            }
          }
        }
        otherTreatment.stopRecordList=Object.values(otherTreatment.stopMedecineData)
        otherTreatment.updateEMR()
        otherTreatment.getNextQuestion(otherTreatment.stopMedecineData)
			})
			 // 点击上一题
			 $('.pre').on('click',function(){
        otherTreatment.getPreQuestion()
      })

    otherTreatment.getEmrObj();
       // 初始化停药数据
       var disArr = otherTreatment.preStr.split(',')||[]
       if(disArr.join(',')!=''){
        var stopHtml = ''
        for(var i=0;i<disArr.length;i++){
          
         stopHtml+='<div class="'+disArr[i]+'">'+
                        '<div class="content_body_stopTime'+otherTreatment.medicineShowObj[disArr[i]].child+'" data-title="'+otherTreatment.medicineShowObj[disArr[i]].child+'">'+
                           '<p class="content_body_weight"><span id="text_red">*</span>'+otherTreatment.medicineShowObj[disArr[i]].value+'停药时间</p>'+
                           '<div class="input_item">' +
                             '<input type="text" class="input_item_stopTime'+otherTreatment.medicineShowObj[disArr[i]].child+'" data-item="stopTime" name="'+otherTreatment.medicineShowObj[disArr[i]].value+'" placeholder="请选择" readonly="readonly">'+
                            '</div>'+
                         '</div>'+
                         '<div class="content_body_stopCause'+otherTreatment.medicineShowObj[disArr[i]].child+'" data-title="'+otherTreatment.medicineShowObj[disArr[i]].child+'">'+
                             '<p class="content_body_height"><span id="text_red">*</span>'+otherTreatment.medicineShowObj[disArr[i]].value+'停药原因</p>'+
                             '<div class="input_item">'+
                               '<input type="text" class="input_item_stopCause'+otherTreatment.medicineShowObj[disArr[i]].child+'" data-item="stopCause" name="'+otherTreatment.medicineShowObj[disArr[i]].value+'" placeholder="请选择" readonly="readonly">'+
                             '</div>'+ 
                         '</div>'+
                   '</div>'
    
        }
        $('.stopDrug_box').append(stopHtml)
      
       }
    
     
      otherTreatment.selectItems();
      otherTreatment.initstopTimepicker();
      otherTreatment.initstopCausepicker();
    },
     //  停药时间
     initstopTimepicker: function(){
      otherTreatment.stopTimepicker = new mui.DtPicker({type:'date'});
     },
    //  停药原因
     initstopCausepicker: function(){
      otherTreatment.stopCausepicker = new mui.PopPicker();
      otherTreatment.stopCausepicker.setData([
        {value:'1',text:'副反应严重'},
        {value:'2',text:'耐药/疾病进展'},
        {value:'3',text:'经济难以承受'},
        {value:'4',text:'买不到'},
        {value:'5',text:'好转无需继续治疗'},
        {value:'6',text:'其他'},
      ]);
     },
     // 点击picker后的事件注册
     selectItems:function(){
      
      var disArr = otherTreatment.preStr.split(',')||[]
      if(disArr.join(',')!=''){
        for(var i=0;i<disArr.length;i++){
                    // 点击停药时间
          $('.content_body_stopTime'+otherTreatment.medicineShowObj[disArr[i]].child+'').click(function(){
          var title =$(this)[0].dataset.title
          otherTreatment.stopTimepicker.show(function (selectItems) { 
          
          var timer = selectItems.y.text + '年' + selectItems.m.text + '月'+selectItems.d.text + '日'
          $('.input_item_stopTime'+title+'').val(timer)
          // otherTreatment.stopMedecineData[title]={ ...otherTreatment.stopMedecineData[title],stopTime:selectItems.text,cureDrug:title}
          var obj ={stopTime:selectItems.text,cureDrug:title}
          otherTreatment.stopMedecineData[title]=Object.assign({},otherTreatment.stopMedecineData[title],obj)
          console.log(otherTreatment.stopMedecineData[title])

          })
          })
          // 点击停药原因
          $('.content_body_stopCause'+otherTreatment.medicineShowObj[disArr[i]].child+'').click(function(){
          var title =$(this)[0].dataset.title
          otherTreatment.stopCausepicker.show(function (Items) {
          
          $('.input_item_stopCause'+title+'').val(Items[0].text)
          // otherTreatment.stopMedecineData[title]={...otherTreatment.stopMedecineData[title],stopReason:Items[0].text,cureDrug:title}
          var obj ={stopReason:Items[0].text,cureDrug:title}
          otherTreatment.stopMedecineData[title]=Object.assign({},otherTreatment.stopMedecineData[title],obj)
          console.log(otherTreatment.stopMedecineData[title])

})
})
}

      }
     
    },
    // 获取治疗项目数据
		getEmrObj: function() {
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/common/categoryDict/listDictByTypeAndDisease',
				type: 'get',
				async: false,
				data: {
					type: 'patientCureDrug',
					diseaseId: 1009 || otherTreatment.diseaseId
				},
				success: function(res) {
					console.log(res)
          var dictList = res.content.dictList;
          // 存储数据
          for(var q=0; q<dictList.length;q++){
            switch(dictList[q].child){
              case "PCD4":
                // 存靶向药物的数据
                otherTreatment.forObj(otherTreatment.targetedShowObj,dictList[q].childList)
              break;
              case "PCD5":
                // 存pd1的药物数据
                otherTreatment.forObj(otherTreatment.pdOneShowObj,dictList[q].childList)
              break;
            }
          }
          // 药物数据合并
          // otherTreatment.medicineShowObj={...otherTreatment.pdOneShowObj,...otherTreatment.targetedShowObj}
          otherTreatment.medicineShowObj=Object.assign({},otherTreatment.pdOneShowObj,otherTreatment.targetedShowObj)
				}
			});
    },
    // 数据处理方法
    forObj:function(obj,list){
     
      for(var i=0;i<list.length;i++){
        if(!list[i].nodeFlag){
          otherTreatment.forObj(obj,list[i].childList)
        }else{
          obj[list[i].child]={child:list[i].child,value:list[i].value,flag:false}
        }
        
      }
   
    },
    resetData:function(){
      var list = otherTreatment.preStr.split(',')
      // console.log(list)
      // console.log(otherTreatment.stopMedecineDataAnswer)
      // console.log(Object.keys(otherTreatment.stopMedecineDataAnswer))
      for(var i=0;i<list.length;i++){
        if(Object.keys(otherTreatment.stopMedecineDataAnswer).includes(list[i])){
          $('.input_item_stopTime'+list[i]+'').val(otherTreatment.stopMedecineDataAnswer[list[i]].stopTime.split('-')[0]+'年'+otherTreatment.stopMedecineDataAnswer[list[i]].stopTime.split('-')[1]+'月'+otherTreatment.stopMedecineDataAnswer[list[i]].stopTime.split('-')[2]+'日')
          $('.input_item_stopCause'+list[i]+'').val(otherTreatment.stopMedecineDataAnswer[list[i]].stopReason)
          otherTreatment.stopMedecineData[list[i]]={"stopReason":otherTreatment.stopMedecineDataAnswer[list[i]].stopReason,"stopTime":otherTreatment.stopMedecineDataAnswer[list[i]].stopTime,"cureDrug":list[i]}
        }

          }
    },
    	// 更新病历
		updateEMR: function(data) {
      
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/user/patientEMR/updatePatientInfo',
				type: 'post',
        contentType: 'application/json',
        async: false,
				data:{"stopRecordList":otherTreatment.stopRecordList},
				success: function(res) {
					console.log(res);
				}
			});
		},
    // 获取答案
    getQuestionAnswer: function(){
      var crm = otherTreatment.adminId==''? '':'/crm'
      medtap.submitAjax({
        url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/getAnswer',
        type: 'post',
        async: false,
        contentType: 'application/json',
        data: {
          "followUpId": otherTreatment.followUpId,
          "questionId": otherTreatment.questionId,
          "adminId":otherTreatment.adminId,
        },
        success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
          otherTreatment.stopMedecineDataAnswer=res.content.followAnswer.answer||''
          otherTreatment.resetData()
        }
      })
    },
      // 上一题
		getPreQuestion:function(){
      var crm = otherTreatment.adminId==''? '':'/crm'
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/previousQuestion',
				type: 'post',
				async: false,
				contentType: 'application/json',
				data: {
					"questionId":otherTreatment.questionId,
					"questionNo":otherTreatment.questionNo,
          "followUpId":otherTreatment.followUpId,
          "adminId":otherTreatment.adminId,
				},
				success: function(res) {
          
          if(!res.success) return medtap.winPop('获取数据失败')
          var parentId = res.content.previousQuestion.parentId||''
					var questionId = res.content.previousQuestion.questionId||''
					var questionNo = res.content.previousQuestion.questionNo||''
						medtap.pushWindow('targetedTherapy.html?followUpId='+otherTreatment.followUpId+'&questionId='+questionId+'&questionNo='+questionNo+'&parentId='+parentId+'&adminId='+otherTreatment.adminId);
				}
			})
		},
    // 下一题
		getNextQuestion:function(data){
      var crm = otherTreatment.adminId==''? '':'/crm'
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/nextQuestion',
				type: 'post',
				async: false,
				contentType: 'application/json',
				data: {
          "questionNo":Number(otherTreatment.questionNo),
          "followUpId": otherTreatment.followUpId,
          "questionId": otherTreatment.questionId,
          "answer":data
        },
				success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
            // 获取下一题的id和序号通过url传递
          var parentId = res.content.nextQuestion.parentId||''
					var questionId = res.content.nextQuestion.questionId||''
					var questionNo = res.content.nextQuestion.questionNo||''
					medtap.pushWindow('examination.html?followUpId='+otherTreatment.followUpId+'&questionId='+questionId+'&questionNo='+questionNo+'&parentId='+parentId+'&adminId='+otherTreatment.adminId+'&preStr='+otherTreatment.preStr);
				}
			})
		}
}
otherTreatment.init()
otherTreatment.getQuestionAnswer()
})