define(['zepto', 'medtap', 'mui', 'mui.picker'], function($, medtap, mui) {　
  var targetedTherapy = {
    // 获取问卷id
    followUpId: medtap.getRequest('followUpId'),
    	// 获取本题序号
		questionNo: medtap.getRequest('questionNo'),
		//  获取本题id
    questionId: medtap.getRequest('questionId'),	
    //  获取parentId
    parentId: medtap.getRequest('parentId')||'',	
    // 修改人员id
    adminId: medtap.getRequest('adminId')||'',
    // 报销的picker
    reimbursementPicker: '',
    // 城市picker
    cityPicker: '',
    // 医保类型picker
    medicalTypePicker: '',
    // 停药时间picker
    stopTimepicker: '',
    // 停药原因
    stopCausepicker: '',
    // 选择有或者无
    flag: true,
    // 使用的奥西替尼
    drugTypesVal:'',
    // 所在的地区能否报销泰瑞沙的费用
    reimbursementVal: '',
    // 每盒金额
    drugCostVal: '',
    // 社保城市
    cityVal: '',
    // 医保类型
    medicalType: '',
    // 时间
    beginTimepicker:'',
    // 省id
    provinceId:'',
    // 城市id
    cityId: '',
   // 医保类型数据
   healthInsuranceType:{
    HT1: '城镇职工基本医疗保险',
    HT2: '城镇居民基本医疗保险',
    HT3: '新型农村合作医疗',
    HT4: '商业医疗保险',
    HT5: '无(全自费)',
    HT6: '全公费',
    HT7: '贫困救助',
    HT8: '其他社会保险',
},
// 医保类型
healthVla:'',
medicalVal:'',
showObj:{
  HT1: {title:'城镇职工基本医疗保险',flag:false},
  HT2: {title:'城镇居民基本医疗保险',flag:false},
  HT3: {title:'新型农村合作医疗',flag:false},
  HT4: {title:'商业医疗保险',flag:false},
  HT5: {title:'无(全自费)',flag:false},
  HT6: {title:'全公费',flag:false},
  HT7: {title:'贫困救助',flag:false},
  HT8: {title:'其他社会保险',flag:false}
},
checks:'',
// 治疗项目状态
childflag: true,
showData:'',
treatmentTypeVal:'',
// 以前的治疗方案（药物）
preTreatmentTypeVal: '',
preItem:'',
// 治疗时间
acceptingCureTime:'',
targetedTherapyShowObj:{},
// 药物数据
medicineShowObj:{},
// 其他数据
otherShowObj:{},
pdOneShowObj:{},
targetedShowObj:{},
// 之前药物的数据
preArr:[],
preShowArr:[],
stopRecordList:[],
newArr:[],
NewpreArr:[],
checkedState:'',
// 变更后药物数据
    init: function(){
     
// document.body.onmousedown = function (event) {
//    console.log(event)
//         event = event || window.event;
//         var target = event.target || event.srcElement;
//         console.log(target.type)
//         if (target.type == 'radio') {//确定元素
//   console.log(target.checked)
//               targetedTherapy.checkedState = target.checked;

//         }
     
//     }

//     document.body.onclick = function (event) {
//   console.log(event)
//         event = event || window.event;
//         var target = event.target || event.srcElement;

// console.log(target.type)
//         if (target.type == 'radio' ) {
//   console.log(targetedTherapy.checkedState)
//             if (targetedTherapy.checkedState) {//根据预处理结果 确定选中取消
//                 target.checked = false;
//             }
//         }
//     }

      $('.common_box').on('click','input:radio',function(){
        
          var radio = $(this);
          console.log(radio)
          var value =radio[0].value
          var list=[]
          var data=[]
          console.log(radio.data('waschecked'))
          if (radio.data('waschecked') == true){
          radio.prop('checked', false);
          console.log(radio[0].checked)
          
          targetedTherapy.targetedTherapyShowObj[value].flag=false
          var nodelist = document.querySelectorAll('.common_btn input')
          for(var i=0;i<nodelist.length;i++){
            if(nodelist[i].checked){
              list.push(nodelist[i].dataset.title)
              data.push(nodelist[i].defaultValue)
            }
          }
          targetedTherapy.showData=list.join(',')
          targetedTherapy.treatmentTypeVal=data.join(',')
          // console.log(targetedTherapy.treatmentTypeVal)
          //   console.log(targetedTherapy.showData )
            if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
              $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
            }else{
              $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
            }
          // console.log(targetedTherapy.targetedTherapyShowObj)
          radio.data('waschecked', false);
          
          } else if(radio.data('waschecked') == false) {
            console.log(radio[0].checked)
          targetedTherapy.targetedTherapyShowObj[value].flag=true
          var nodelist = document.querySelectorAll('.common_btn input')
          for(var i=0;i<nodelist.length;i++){
            if(nodelist[i].checked){
              list.push(nodelist[i].dataset.title)
              data.push(nodelist[i].defaultValue)
            }
          }
          targetedTherapy.showData=list.join(',')
          targetedTherapy.treatmentTypeVal=data.join(',')
          
            if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
              $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
            }else{
              $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
            }
           
          radio.prop('checked', true);
          radio.data('waschecked', true);
          }
          
    });

      	 // 解决键盘收起页面不恢复问题
			 $('textarea').on('blur',function(){
        window.scroll(0,0);
        });
      	// 用户点击了无
			$('.noHas').on('tap',function(){
				targetedTherapy.flag=false
        if(	targetedTherapy.treatmentTypeVal.includes('PCD24')){
          $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
        }else{
          $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
        }
    
			})
			// 用户点击了有
			$('.has').on('tap',function(){
        targetedTherapy.flag=true
        if(targetedTherapy.preTreatmentTypeVal.includes('PCD24')){
          $('.content_body_reimbursement_has,.content_body_drugCost_has').show()
        }else{
          $('.content_body_reimbursement_has,.content_body_drugCost_has').hide()
        }
      })
      	//  点击医疗类型弹出弹窗
			$('.content_body_medicalType').on('click', function() {
				mui('.mui-popover').popover('toggle', document.getElementById('openPopover'));
      });
     
       	// 选择医保改变状态
			$('.select_item_body').on('change', 'input[type=checkbox]', function() {
        console.log($(this)[0].value,$(this)[0].checked)
				targetedTherapy.showObj[$(this)[0].value].flag = $(this)[0].checked;
        let checkList = [];
        let checkData = []
				for (var key in targetedTherapy.showObj) {
					if (targetedTherapy.showObj[key].flag) {
            checkList.push(key);
            checkData.push(targetedTherapy.showObj[key].title)
					}
        }
        targetedTherapy.healthVla = checkData.join(',');
        targetedTherapy.medicalType = checkList.join(',');
        console.log(targetedTherapy.medicalType,targetedTherapy.healthVla)
			});
      	// 点击医疗类型弹窗的确定按钮
			$('.mui_popover_footer').on('click', function() {
        targetedTherapy.healthVla==''? $('.disease_options_medical').text('请选择'):$('.disease_options_medical').text(targetedTherapy.healthVla)
				mui('.mui-popover').popover('toggle', document.getElementById('openPopover'));
      });
           // tab切换
    $(".tabbox li").click(function ()
    　　{
    　　　　//获取点击的元素给其添加样式，讲其兄弟元素的样式移除
    　　　　$(this).addClass("active").siblings().removeClass("active");
    　　　　//获取选中元素的下标
    　　　　var index = $(this).index();
    　　　　$(this).parent().siblings().children().eq(index).addClass("active")
    　　　　.siblings().removeClass("active");
    　});
    // 治疗项目input变化
    $('.common_btn').on('change','input',function(){
      // console.log($(this)[0].value,$(this)[0].checked)
      targetedTherapy.targetedTherapyShowObj[$(this)[0].value].flag=$(this)[0].checked
      // console.log( targetedTherapy.targetedTherapyShowObj)
      var nodelist = document.querySelectorAll('.common_btn input')
      // console.log(nodelist)
      var list=[]
      var data=[]
      for(var i=0;i<nodelist.length;i++){
        if(nodelist[i].checked){
          list.push(nodelist[i].dataset.title)
          data.push(nodelist[i].defaultValue)
        }
      }
      targetedTherapy.showData=list.join(',')
      targetedTherapy.treatmentTypeVal=data.join(',')
      console.log(targetedTherapy.treatmentTypeVal)
        console.log(targetedTherapy.showData )
        if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
          $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
        }else{
          $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
        }
    })
    $('.select_item').on('click', function() {
      $(this).addClass('select').siblings('.select_item').removeClass('select');
    });
    $('.no').on('click', function() {
      targetedTherapy.childflag = false;
      $('.common_box').hide();
      targetedTherapy.showData='无'
      targetedTherapy.treatmentTypeVal=''
      $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
      $('.content_body_stopTime').hide()
    });
    $('.yes').on('click', function() {
      targetedTherapy.childflag = true;
      $('.common_box').show();
      $('.content_body_stopTime').show()
      var nodelist = document.querySelectorAll('.common_btn input')
      console.log(nodelist)
      var list=[]
      var data=[]
      for(var i=0;i<nodelist.length;i++){
        if(nodelist[i].checked){
          list.push(nodelist[i].dataset.title)
          data.push(nodelist[i].defaultValue)
        }
      }
      targetedTherapy.showData=list.join(',')
      targetedTherapy.treatmentTypeVal=data.join(',')
      console.log(targetedTherapy.showData,targetedTherapy.treatmentTypeVal)
    });
    $('.input_item_btn').on('click', function() {
      $('.content_2').show();
      $('#content').hide();
    });
    	// 点击治疗项目下方确定按钮
			$('#treat_confirm').on('click', function() {
				console.log(targetedTherapy.childflag);
				if (targetedTherapy.childflag) {
					if (targetedTherapy.treatmentTypeVal == '') return medtap.winPop('请至少选择一项治疗项目');
				
					$('.content_2').hide();
					$('#content').show();
          targetedTherapy.treatmentTypeVal = targetedTherapy.treatmentTypeVal;
          $('.disease_options_btn').text(targetedTherapy.showData);
          console.log(targetedTherapy.showData)
          if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
            $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
          }else{
            $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
          }
				} else {
					$('.content_2').hide();
					$('#content').show();
					targetedTherapy.treatmentTypeVal = '';
					targetedTherapy.showData='无'
					$('.disease_options_btn').text('无');
				
				}
			});
    // 点击下一题
      $('.next').on('tap',function(){
        // 先判断必填项
        if(targetedTherapy.flag){
           if(targetedTherapy.preTreatmentTypeVal.includes('PCD24')){
            targetedTherapy.reimbursementVal = $.trim($('.input_item_reimbursement_has').val())
            if(targetedTherapy.reimbursementVal==''){
              medtap.winPop('请选择您所在的地区能否报销泰瑞沙的费用')
              return
            }
          targetedTherapy.drugCostVal = $.trim($('.input_item_drugCost_has').val())
          if(targetedTherapy.drugCostVal==''){
            medtap.winPop('请输入每盒的自付金额')
						return
          }
           }
          targetedTherapy.cityVal = $.trim($('.input_item_city').val())
          if(targetedTherapy.cityVal==''){
            medtap.winPop('请选择医保所在城市')
						return
          }
          if(targetedTherapy.medicalType==''){
            medtap.winPop('请选择医保类型')
						return
          }
          var hasUrl = 'examination.html?a='
           // 选择有的时候的数据
          var dataHas = 	{
            "adminId":targetedTherapy.adminId,
            "parentId":targetedTherapy.parentId,
						"questionId":targetedTherapy.questionId,
						"answer":{
              // 能否报销费用
              "reimbursementVal":targetedTherapy.reimbursementVal,
              // 每盒费用
              "drugCostVal":targetedTherapy.drugCostVal,
              "preTreatmentTypeVal": targetedTherapy.preTreatmentTypeVal,
              "preItem":targetedTherapy.preItem,
              // 停药数据
              "stopMedicineVal":targetedTherapy.stopMedicineVal,
              "status":2
            },
						"questionNo":Number(targetedTherapy.questionNo),
						"followUpId": targetedTherapy.followUpId
          }
          var EMRdataHas = {
            'emrId': targetedTherapy.emrId,
            "provinceId":targetedTherapy.provinceId||'',
            "cityId": targetedTherapy.cityId||'',
            "healthInsuranceType": targetedTherapy.medicalType||''
          }
          targetedTherapy.updateEMR(EMRdataHas)
          targetedTherapy.getNextQuestion(dataHas,hasUrl)
          // else 为选择 ‘无’ 时判断必填项
        }else{
         if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
          targetedTherapy.reimbursementVal = $.trim($('.input_item_reimbursement_no').val())
          if(targetedTherapy.reimbursementVal==''){
            medtap.winPop('请选择您所在的地区能否报销泰瑞沙的费用')
            return
          }
          targetedTherapy.drugCostVal = $.trim($('.input_item_drugCost_no').val())
          if(targetedTherapy.drugCostVal==''){
            medtap.winPop('请输入每盒的自付金额')
            return
          }
         }

         if(targetedTherapy.treatmentTypeVal=='' &&	targetedTherapy.showData!='无'){
          medtap.winPop('请选择当前正在接受的治疗项目')
          return
         }
         targetedTherapy.stopTimeVal = $.trim($('.input_item_stopTime').val())
          if(targetedTherapy.stopTimeVal==''&&	targetedTherapy.showData!='无'&&targetedTherapy.treatmentTypeVal!=''){
            medtap.winPop('请选择治疗开始时间')
						return
          }
        targetedTherapy.cityVal = $.trim($('.input_item_city').val())
        if(targetedTherapy.cityVal==''){
          medtap.winPop('请选择医保所在城市')
          return
        }
        if(targetedTherapy.medicalType==''){
          medtap.winPop('请选择医保类型')
          return
        }
          
          // 比较变更后的药物数据和之前的药物数据
          // 1.之前的药物数据preArr = index.preArr     index.preShowArr 2.患者选择变更的药物数据 targetedTherapy.treatmentTypeVal  3.排除药物PCD21,PCD23,PCD25,PCD28,PCD31,PCD63,PCD72
          targetedTherapy.NewpreArr = targetedTherapy.preArr
    
          targetedTherapy.newArr = targetedTherapy.treatmentTypeVal.split(',')
  
          let list =  targetedTherapy.NewpreArr.filter(items => {
            if (!targetedTherapy.newArr.includes(items)) return items;
          })
          
          for(var i=0;i<list.length;i++){
            switch (list[i]){
              case 'PCD21':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD23':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD25':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD28':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD31':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD63':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
              case 'PCD72':
                  var index = list.findIndex(function(item){
                    return list[i]==item
                  })
                  list.splice(index,1)
              break;
            }
          }
          // 选择无的时候的数据
          if(list.length>0){
            var preStr =list.join(',')
            targetedTherapy.stopMedicineVal=list.join(',')
            for(var i=0;i<list.length;i++){
              targetedTherapy.stopRecordList.push({"cureDrug":list[i]})
            }
            var noUrl = 'otherTreatment.html?preStr='+preStr
            targetedTherapy.checks = "4"
          }else{
            var noUrl = 'examination.html?a='
          }
          var EMRdataNo = {
            'acceptingCure': targetedTherapy.treatmentTypeVal,
            'acceptingCureTime':targetedTherapy.acceptingCureTime,
            'emrId': targetedTherapy.emrId,
            "provinceId":targetedTherapy.provinceId||'',
            "cityId": targetedTherapy.cityId||'',
            "healthInsuranceType":targetedTherapy.medicalType||'',
            "stopRecordList":targetedTherapy.stopRecordList||''
          }
          var dataNo = 	{
            "adminId":targetedTherapy.adminId,
            "parentId":targetedTherapy.parentId,
						"questionId":targetedTherapy.questionId,
						"answer":{
              "checks": targetedTherapy.checks,
              "treatmentTypeVal": targetedTherapy.treatmentTypeVal,
              "item":targetedTherapy.showData,
              "preTreatmentTypeVal":targetedTherapy.preTreatmentTypeVal,
              "childStatus":targetedTherapy.childflag,
              "preItem":targetedTherapy.preItem,
              // 当前开始治疗的时间
              "acceptingCureTime": targetedTherapy.acceptingCureTime,
              // 能否报销费用
              "reimbursementVal":targetedTherapy.reimbursementVal,
              // 每盒费用
              "drugCostVal":targetedTherapy.drugCostVal,
               // 停药数据
               "stopMedicineVal":targetedTherapy.stopMedicineVal,
               "status":3
            },
						"questionNo":Number(targetedTherapy.questionNo),
						"followUpId": targetedTherapy.followUpId
          }
          targetedTherapy.updateEMR(EMRdataNo);
          targetedTherapy.getNextQuestion(dataNo,noUrl)
        }
        
      })
       // 点击上一题
			$('.pre').on('tap',function(){
        // medtap.pushWindow('furtherConsultation.html?followUpId='+targetedTherapy.followUpId);
        targetedTherapy.getPreQuestion()
      })
    targetedTherapy.inintDrugTypes();
    targetedTherapy.initReimbursementPicker();
    targetedTherapy.initCity();
    targetedTherapy.initCityl();
    targetedTherapy.initbeginTimepicker();
    targetedTherapy.initmedicalTypePicker();
    targetedTherapy.selectItems();
    targetedTherapy.getEmrObj();
    targetedTherapy.getQuestionAnswer();
    
    targetedTherapy.getEmrInfo();
    },
    //  ---------- 有 ---------
    // 初始化drugTypesPicker
    inintDrugTypes:function(){
      targetedTherapy.drugTypesPicker = new mui.PopPicker();
      targetedTherapy.drugTypesPicker.setData([
        {value:'1',text:'泰瑞沙'},
        {value:'2',text:'东南亚仿药'},
        {value:'3',text:'原料'}
      ]);
    },
    // 初始化报销reimbursementPicker
    initReimbursementPicker: function(){
      targetedTherapy.reimbursementPicker = new mui.PopPicker();
      targetedTherapy.reimbursementPicker.setData([
        {value:'1',text:'可以'},
        {value:'2',text:'部分可以'},
        {value:'3',text:'完全自费'}
      ]);
    },
    initCityl: function() {
			medtap.loading(1);
			$.ajax({
				url: "https://testdevgw.medtap.cn/common/listAreaV0",
				data: {},
				type: 'get',
				async: true,
				success: function(data) {
          console.log(data)
					medtap.loading(0);
					if (data.success) {
						var arr = data.content.areas;
						var cityData = [];
						for (var i = 0, len = arr.length; i < len; i++) {
							var obj = {};
							obj.text = arr[i].name;
							obj.value = arr[i].provinceId;
							var temp = [];
							for (var j = 0, len2 = arr[i].city.length; j < len2; j++) {
								var item = arr[i].city[j];
								var o = {};
								o.text = item.name;
								o.value = item.cityId;
								temp.push(o);
							}
							obj.children = temp;
							cityData.push(obj);
            }
            targetedTherapy.initCity(cityData)
					}
				},
				error: function(data) {
					medtapCore.jzz(0);
					mui.toast('获取所在地失败');
				}
			});
		},
    // 初始化城市cityPicker数据
    initCity:function(cityData){
    var _getParam = function(obj, param) {
        return obj[param] || '';
    };
    //-----------------------------------------
    targetedTherapy.cityPicker = new mui.PopPicker({
        layer: 2
    });
    targetedTherapy.cityPicker.setData(cityData);
    },
     // 初始化医保类型picker
     initmedicalTypePicker:function(){
      targetedTherapy.medicalTypePicker = new mui.PopPicker();
      targetedTherapy.medicalTypePicker.setData([
        {
          text: '城镇职工基本医疗保险',
          value: 'HT1'
         },
         {
          text: '城镇居民基本医疗保险',
          value: 'HT2'
         },
         {
          text: '新型农村合作医疗',
          value: 'HT3'
         },
         {
          text: '商业医疗保险',
          value: 'HT4'
         },
         {
          text: '全自费',
          value: 'HT5'
         },
         {
          text: '全公费',
          value: 'HT6'
         },
         {
          text: '贫困救助',
          value: 'HT7'
         },
         {
          text: '其他社会保险',
          value: 'HT8'
         }
      ]);
     },
     //  ------ 无 -----------
     //  停药时间
     initbeginTimepicker: function(){
      targetedTherapy.beginTimepicker = new mui.DtPicker({type:'date'});
     },
     // 点击picker后的事件注册
    selectItems:function(){
          // 点击药物类型的判断
      // 点击了费用报销
      $('.input_item_reimbursement_has').click(function(){
        targetedTherapy.reimbursementPicker.show(function (Items) {
          $('.input_item_reimbursement_has').val(Items[0].text)
        })
      })
      $('.input_item_reimbursement_no').click(function(){
        targetedTherapy.reimbursementPicker.show(function (Items) {
          $('.input_item_reimbursement_no').val(Items[0].text)
        })
      })
      // 点击医保所在城市选择
      $('.input_item_city').click(function(){
        targetedTherapy.cityPicker.show(function (Items) {
          targetedTherapy.provinceId=Items[0].value
          targetedTherapy.cityId=Items[1].value
          $('.input_item_city').val(Items[0].text+Items[1].text)
        })
      })
      $('.content_body_stopTime').click(function(){
        targetedTherapy.beginTimepicker.show(function (selectItems) { 
          console.log(selectItems)
          var timer = selectItems.y.text + '年' + selectItems.m.text + '月'+ selectItems.d.text + '日'
          $('.input_item_stopTime').val(timer)
          targetedTherapy.acceptingCureTime=selectItems.text
      })
      })
      // 点击医保类型
      $('.content_body_medicalType').click(function(){
        // targetedTherapy.medicalTypePicker.show(function (Items) {
        //   targetedTherapy.healthVla = Items[0].value
        //   $('.input_item_medicalType').val(Items[0].text)
        // })
      })
    },
    // 获取病历信息
    getEmrInfo: function() {
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/user/patientEMR/getPatientEMRInfo',
				type: 'post',
				async: false,
				contentType: 'application/json',
				data: {},
				success: function(res) {
          console.log(res);
          // 医保地区
          targetedTherapy.provinceId=res.content.userInfo.location.pid||''
          targetedTherapy.cityId=res.content.userInfo.location.cityId||''
          var fullName =  res.content.userInfo.location.fullName||''
          $('.input_item_city').val(fullName)
          // 医保类型
          targetedTherapy.medicalType =  res.content.emr.healthInsuranceType||''
          if(targetedTherapy.medicalType!=''){
            var nodeList = document.querySelectorAll('.select_item_body input[type=checkbox]')
          let array =   targetedTherapy.medicalType.split(',')
          let newarr = []
          array.forEach(element => {
            newarr.push(targetedTherapy.showObj[element].title)
            switch(element){
              case 'HT1':
              nodeList[0].checked = true
              targetedTherapy.showObj['HT1'].flag=true
              break;
              case 'HT2':
              nodeList[1].checked = true
              targetedTherapy.showObj['HT2'].flag=true
              break;
              case 'HT3':
              nodeList[2].checked = true
              targetedTherapy.showObj['HT3'].flag=true
              break;
              case 'HT4':
              nodeList[3].checked = true
              targetedTherapy.showObj['HT4'].flag=true
              break;
              case 'HT5':
              nodeList[4].checked = true
              targetedTherapy.showObj['HT5'].flag=true
              break;
              case 'HT6':
              nodeList[5].checked = true
              targetedTherapy.showObj['HT6'].flag=true
              break;
              case 'HT7':
              nodeList[6].checked = true
              targetedTherapy.showObj['HT7'].flag=true
              break;
              case 'HT8':
              nodeList[7].checked = true
              targetedTherapy.showObj['HT8'].flag=true
              break;
            }
          });
          targetedTherapy.healthVla = newarr.join(',')
          $('.disease_options_medical').text(targetedTherapy.healthVla||'')
          }
          
          // 设定病历id,疾病id
					targetedTherapy.diseaseId = res.content.emr.diseaseDiagnosisItem.diseaseId;
					targetedTherapy.diseaseDiagnosis = res.content.emr.diseaseDiagnosis;
          targetedTherapy.emrId = res.content.emr.emrId;
          // 
          if(targetedTherapy.preTreatmentTypeVal!=''){
            if(targetedTherapy.preTreatmentTypeVal.includes('PCD24')){
              $('.content_body_reimbursement_has,.content_body_drugCost_has').show()
            }else{
              $('.content_body_reimbursement_has,.content_body_drugCost_has').hide()
            }
            // 处理老数据 以，开头的数据 不处理会报错
           if(targetedTherapy.preTreatmentTypeVal.startsWith(',')){
             
            targetedTherapy.preTreatmentTypeVal = targetedTherapy.preTreatmentTypeVal.substring(1,targetedTherapy.preTreatmentTypeVal.length)
           }
          var acceptingCureArr = targetedTherapy.preTreatmentTypeVal.split(',')
          console.log(acceptingCureArr)
          var accArr = []
            for(var i=0;i<acceptingCureArr.length;i++){
              accArr.push(targetedTherapy.targetedTherapyShowObj[acceptingCureArr[i]].value)
            }
             // 之前治疗的题目设定
          $('.project_name').text(accArr.join('、')||'无')
          targetedTherapy.preItem = accArr.join(',')
          // 筛选出之前的治疗药物
          for(var i=0;i<acceptingCureArr.length;i++){
            if(targetedTherapy.medicineShowObj[acceptingCureArr[i]]){
              targetedTherapy.preArr.push(targetedTherapy.medicineShowObj[acceptingCureArr[i]].child)
              targetedTherapy.preShowArr.push(targetedTherapy.medicineShowObj[acceptingCureArr[i]].value)
            }
          }
          }else{
            if(res.content.emr.acceptingCure==''){
              targetedTherapy.preArr=[]
              targetedTherapy.preShowArr=[]
            }else{
              targetedTherapy.preTreatmentTypeVal=res.content.emr.acceptingCure||'';
              if(targetedTherapy.preTreatmentTypeVal.includes('PCD24')){
                $('.content_body_reimbursement_has,.content_body_drugCost_has').show()
              }else{
                $('.content_body_reimbursement_has,.content_body_drugCost_has').hide()
              }
              var acceptingCureArr = targetedTherapy.preTreatmentTypeVal.split(',')
              var accArr = []
              for(var i=0;i<acceptingCureArr.length;i++){
                accArr.push(targetedTherapy.targetedTherapyShowObj[acceptingCureArr[i]].value)
              }
               // 之前治疗的题目设定
            $('.project_name').text(accArr.join('、')||'无')
            targetedTherapy.preItem = accArr.join(',')
            // 筛选出之前的治疗药物
            for(var i=0;i<acceptingCureArr.length;i++){
              if(targetedTherapy.medicineShowObj[acceptingCureArr[i]]){
                targetedTherapy.preArr.push(targetedTherapy.medicineShowObj[acceptingCureArr[i]].child)
                targetedTherapy.preShowArr.push(targetedTherapy.medicineShowObj[acceptingCureArr[i]].value)
              }
            }
            }
          
          }

          if(targetedTherapy.preTreatmentTypeVal.includes('PCD24')){
            $('.content_body_reimbursement,.content_body_drugCost').show()
          }
          
				}
			});
    },
    // 获取治疗项目数据
		getEmrObj: function() {
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/common/categoryDict/listDictByTypeAndDisease',
				type: 'get',
				async: false,
				data: {
					type: 'patientCureDrug',
					diseaseId: 1009 || targetedTherapy.diseaseId
				},
				success: function(res) {
					console.log(res)
          var dictList = res.content.dictList;
          // 存储数据
          for(var q=0; q<dictList.length;q++){
            switch(dictList[q].child){
              case "PCD4":
                // 存靶向药物的数据
                targetedTherapy.forObj(targetedTherapy.targetedShowObj,dictList[q].childList)
              break;
              case "PCD5":
                // 存pd1的药物数据
                targetedTherapy.forObj(targetedTherapy.pdOneShowObj,dictList[q].childList)
              break;
              default:
                // 存储其他的数据
                targetedTherapy.otherShowObj[dictList[q].child]={child:dictList[q].child,value:dictList[q].value,flag:false}
            }
          }
          // 药物数据合并
          // targetedTherapy.medicineShowObj={...targetedTherapy.pdOneShowObj,...targetedTherapy.targetedShowObj}
          targetedTherapy.medicineShowObj = Object.assign({},targetedTherapy.pdOneShowObj,targetedTherapy.targetedShowObj)
          console.log(targetedTherapy.medicineShowObj )
          // 合并全部数据
          // targetedTherapy.targetedTherapyShowObj={...targetedTherapy.pdOneShowObj,...targetedTherapy.targetedShowObj,...targetedTherapy.otherShowObj}
          targetedTherapy.targetedTherapyShowObj=Object.assign({},targetedTherapy.pdOneShowObj,targetedTherapy.targetedShowObj,targetedTherapy.otherShowObj)
          console.log(targetedTherapy.targetedTherapyShowObj)
          // 渲染页面
          var html = '';
          var html1 = ''
          var html2 =''
					var childhtml = '';
					for (var i = 0; i < dictList.length; i++) {
						if(dictList[i].nodeFlag){
              html+='<div class="mui-input-row mui-checkbox '+dictList[i].child+'">'+
              '<label>'+dictList[i].value+'</label>'+
              '<input name="checkbox1" value="'+dictList[i].child+'" data-title="'+dictList[i].value+'" type="checkbox">'+
              '</div>'
            }else{
              if(dictList[i].child=="PCD4"){
                var child1 =dictList[i].childList
                for(var j=0;j<child1.length;j++){
                 if(child1[j].child=="PCD9"){
                   var html5=''
                   var childlist5=child1[j].childList
                   for(var l=0;l<childlist5.length;l++){
                     var html6=''
                     for(var y=0;y<childlist5[l].childList.length;y++){
                      html6+='<li class="'+childlist5[l].childList[y].child+'"><input type="radio" name="'+child1[j].child+'" value="'+childlist5[l].childList[y].child+'" data-title="'+childlist5[l].childList[y].value+'"  data-labelauty="'+childlist5[l].childList[y].value+'"></li>'
                     }
                     html5+= '<div  class="dis_box_line">'+
                     '<p class="num_title">'+childlist5[l].value+'</p>'+
                     '<ul class="dowebok">'+
                         html6+
                     '</ul>'+
                   '</div>'
                   }
                  html1+=
                  '<div>'+
                      '<h5 class="dis_title"><p><span class="sign_title"></span>'+child1[j].value+'</p></h5>'+
                      html5+
                  '</div>'
                 }else{
                  var childotherlist = child1[j].childList
                   var html4= ''
                   for(var k=0;k<childotherlist.length;k++){
                    html4+='<li class="'+childotherlist[k].child+'"><input type="radio" name="'+child1[j].child+'" value="'+childotherlist[k].child+'"  data-title="'+childotherlist[k].value+'" data-labelauty="'+childotherlist[k].value+'"></li>'
                  }
                  html1+=
                  '<div>'+
                      '<h5 class="dis_title"><p><span class="sign_title"></span>'+child1[j].value+'</p></h5>'+
                      '<ul class="dowebok">'+
                         html4+
                      '</ul>'+
                  '</div>'
               }
                 }   
              }else if(dictList[i].child=="PCD5"){
                var childlist2 = dictList[i].childList
                for(var u=0;u<childlist2.length;u++){
                  html2+='<li class="'+childlist2[u].child+'"><input type="checkbox" name="17" value="'+childlist2[u].child+'"  data-title="'+childlist2[u].value+'" data-labelauty="'+childlist2[u].value+'"></li>'
                }
               
              }
            }
					}
          $('.otherList').html(html);
          $('.targeting_box').html(html1)
          $('.pdOne_box').html(html2)
					$(function() {
						$('.targeting :input,.pdOne :input').labelauty();
					});
        
				}
			});
    },
    // 数据处理方法
    forObj:function(obj,list){
     
      for(var i=0;i<list.length;i++){
        if(!list[i].nodeFlag){
          targetedTherapy.forObj(obj,list[i].childList)
        }else{
          obj[list[i].child]={child:list[i].child,value:list[i].value,flag:false}
        }
        
      }
   
    },
		// 更新病历
		updateEMR: function(data) {
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/user/patientEMR/updatePatientInfo',
        type: 'post',
        async: false,
				contentType: 'application/json',
				data:data,
				success: function(res) {
					console.log(res);
				}
			});
		},
    // 获取问题答案
    getQuestionAnswer: function(){
      var crm = targetedTherapy.adminId==''? '':'/crm'
      medtap.submitAjax({
        url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/getAnswer',
        type: 'post',
        async: false,
        contentType: 'application/json',
        data: {
          "followUpId": targetedTherapy.followUpId,
          "questionId": targetedTherapy.questionId,
          "adminId":targetedTherapy.adminId,
        },
        success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
          // 如果没做过题那么answer没有
					if(!res.content.followAnswer.answer) {
            targetedTherapy.flag=true
            return
          }
          targetedTherapy.preTreatmentTypeVal=res.content.followAnswer.answer.preTreatmentTypeVal||''
          targetedTherapy.preItem = res.content.followAnswer.answer.preItem||''
          // 有
          var status = res.content.followAnswer.answer.status=undefined?  '2':res.content.followAnswer.answer.status
          if(status=='2'){
            targetedTherapy.flag=true
            if(res.content.followAnswer.answer.preTreatmentTypeVal.includes('PCD24')){
              $('.content_body_reimbursement_has,.content_body_drugCost_has').show()
            }
           
            $('.input_item_reimbursement_has').val(res.content.followAnswer.answer.reimbursementVal||'')
            $('.input_item_drugCost_has').val(res.content.followAnswer.answer.drugCostVal||'')
          }else if(status=='3'){ 
            // 无
            $('.noHas').addClass('active').siblings('.has').removeClass('active')
            $('.content_select_no').addClass('active').siblings('.content_select').removeClass('active')
            targetedTherapy.treatmentTypeVal = res.content.followAnswer.answer.treatmentTypeVal||''
            if(targetedTherapy.treatmentTypeVal.includes('PCD24')){
              $('.content_body_reimbursement_no,.content_body_drugCost_no').show()
            }else{
              $('.content_body_reimbursement_no,.content_body_drugCost_no').hide()
            }

              targetedTherapy.flag=false
              targetedTherapy.childflag = res.content.followAnswer.answer.childStatus
              // 如果治疗项目 选无
              if(!res.content.followAnswer.answer.childStatus){
                $('.no').addClass('select').siblings('.select_item').removeClass('select');
                $('.common_box').hide();
                $('.content_body_stopTime').hide()
                // otherTreatment.childflag=false
                targetedTherapy.childflag = false;
                targetedTherapy.treatmentTypeVal = '';
                targetedTherapy.showData='无'
                $('.disease_options_btn').text('无');
              }else{
                // 选有
                res.content.followAnswer.answer.item? $('.disease_options_btn').text(res.content.followAnswer.answer.item):$('.disease_options_btn').text('请选择')
                if(res.content.followAnswer.answer.treatmentTypeVal.includes('PCD24')){
                  $('.content_body_reimbursement,.content_body_drugCost').show()
                  $('.input_item_reimbursement_no').val(res.content.followAnswer.answer.reimbursementVal||'')
                  $('.input_item_drugCost_no').val(res.content.followAnswer.answer.drugCostVal||'')
                 
                }
                $('.content_body_stopTime').show()
                let list = res.content.followAnswer.answer.treatmentTypeVal.split(',')
                console.log(list)
                let arr = [];
                list.forEach((element) => {
                  if (element != '') {
                    var text = '.' + element;
                    $(text).children('input')[0].checked = true;
                    targetedTherapy.targetedTherapyShowObj[element].flag = true;
                    arr.push(targetedTherapy.targetedTherapyShowObj[element].value);
                  }
                });
                targetedTherapy.showData = arr.join(',');
                console.log(targetedTherapy.showData);
                $('.disease_options_btn').text(arr.join(',')||'请选择');
                 // 治疗时间答案
              var acceptingCureTime = res.content.followAnswer.answer.acceptingCureTime.split('-')||''
              targetedTherapy.acceptingCureTime=res.content.followAnswer.answer.acceptingCureTime
              console.log(acceptingCureTime[0]+'年'+acceptingCureTime[1]+'月'+acceptingCureTime[2]+'日')
              $('.input_item_stopTime').val(acceptingCureTime[0]+'年'+acceptingCureTime[1]+'月'+acceptingCureTime[2]+'日')
              }
            }
          
        }
      })
    },
      // 上一题
		getPreQuestion:function(){
      var crm = targetedTherapy.adminId==''? '':'/crm'
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/previousQuestion',
				type: 'post',
				async: false,
				contentType: 'application/json',
				data: {
					"questionId":targetedTherapy.questionId,
					"questionNo":targetedTherapy.questionNo,
          "followUpId":targetedTherapy.followUpId,
          "adminId":targetedTherapy.adminId,
				},
				success: function(res) {
          
          if(!res.success) return medtap.winPop('获取数据失败')
          var parentId = res.content.previousQuestion.parentId||''
					var questionId = res.content.previousQuestion.questionId||''
					var questionNo = res.content.previousQuestion.questionNo||''
						medtap.pushWindow('furtherConsultation.html?followUpId='+targetedTherapy.followUpId+'&questionId='+questionId+'&questionNo='+questionNo
            +'&parentId='+parentId+'&adminId='+targetedTherapy.adminId);
				}
			})
    },
    	 // 下一题
		getNextQuestion:function(data,url){
      var crm = targetedTherapy.adminId==''? '':'/crm'
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/followUp'+crm+'/nextQuestion',
				type: 'post',
				async: false,
				contentType: 'application/json',
				data: data,
				success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
            // 获取下一题的id和序号通过url传递
          var parentId = res.content.nextQuestion.parentId||''
					var questionId = res.content.nextQuestion.questionId||''
					var questionNo = res.content.nextQuestion.questionNo||''
					medtap.pushWindow(url+'&followUpId='+targetedTherapy.followUpId+'&questionId='+questionId+'&questionNo='+questionNo+'&parentId='+parentId+'&adminId='+targetedTherapy.adminId);
				}
			})
		}
  }
  targetedTherapy.init()
  
  })