define(['zepto','medtap'],function($,medtap){
	var rukou = {
		wechatId:medtap.getRequest('wechatId'),
		// 问卷id
		followUpId: medtap.getRequest('followUpId'),
			// 修改人员id
		adminId: medtap.getRequest('adminId')||'',
		init:function(){
			rukou.getToken()
			rukou.getMyquestionnaire()
		},
		checkUser:function(){
			medtap.loading(1);
			medtap.submitAjax({
				url:'https://testdevgw.medtap.cn/wechat/user/getWechatUser',
				type:'GET',
				async: false,
				data:{
					wechatId:rukou.wechatId
				},
				success:function(res){
					medtap.loading(0);
					var info = res.content.wechatUser;
					if(info.hasOwnProperty('userId')){
						//medtap.pushWindow('index.html?wechatId=' + rukou.wechatId)
						window.location.replace('index.html?wechatId=' + rukou.wechatId +'&followUpId='+ rukou.followUpId+'&adminId='+ rukou.adminId)
					}else{
						window.location.replace('https://review-formal.iplusmed.com/wechatForLungCancer/prd/wechat_lung_login/login.html?wechatId=' + rukou.wechatId)
					}
				}
			})
		},
		getToken:function(){
			localStorage.wxLungToken = '';
			localStorage.setItem('wechatId', rukou.wechatId);
			medtap.loading(1);
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/user/auth/token',
				type: 'POST',
				async: false,
				contentType: 'application/json',
				data: {
					wechatId: rukou.wechatId
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {
						var token = res.content.token;
						localStorage.setItem('wxLungToken', token);
						rukou.checkUser();
					} else {
			
					}
				},
				error: function(res) {
					console.log(res.resultDesc);
				}
			})
		},
		// 获取问卷
    getMyquestionnaire: function(){
			var crm = rukou.adminId==''? '':'/crm'
			 medtap.submitAjax({
				 url: 'https://testdevgw.medtap.cn/operation/followUp'+ crm +'/followUpUser',
				 type: 'post',
				 async: false,
				 contentType: 'application/json',
				 data: {
					 "followUpId":rukou.followUpId,
					 "adminId":rukou.adminId
				 },
				 success: function(res) {
					 if(res.content.followUpUser.status=='1' && rukou.adminId==''){
						 medtap.pushWindow('pages/questionnaireDetails.html?followUpId='+rukou.followUpId)
					 }
				 }
			 })
		 },
	}
	rukou.init();
})